#define F_CPU 16000000  
#define BAUDRATE 9600   

unsigned char akku = 0;
unsigned char l,m,r; //Variablen für Anzeige linke, mitte, rechts
unsigned int baudregister = (F_CPU/16/BAUDRATE)-1;//103
void setup() 
{
    //Serial1.begin(9600);
    
    //DDRB &= (0<<PB6); 
    
    //setzen der Baudrate
    UBRR1H = (unsigned char) (baudregister>>8); //Setzen des HIGH-Bytes des Baudraten-Registers
    UBRR1L = (unsigned char)  baudregister;     //Setzen des LOW -Bytes des Baudraten-Registers
    //UBRR1 = baudregister;
    
    
    UCSR1A = (0<<U2X1);
    //Einschalten des Senders und Empfänger | UCSZ12 Character Size
    UCSR1B = (1<<RXEN1) | (1<<TXEN1) | (0<<UCSZ12);
    //UMSEL11 = 0, UMSEL10 = 0 Asynchronous USART | USBS1 = 0 ein Stopbit | UCSZ11 = 1, UCSZ10 = 1 Character Size 8-bit
    UCSR1C = (0<<UMSEL11) | (0<<UMSEL10) | (0<<USBS1) | (1<<UCSZ11) | (1<<UCSZ10);
        
}

void loop() 
{
//     Serial1.write('A');
//     delay(200);

while( !(UCSR1A & (1<<UDRE1)) ); //Warten bis der Uebertragungspuffer leer ist
        UDR1 = 'C';  

    //Alternativ:
    
    //if( (UCSR1A & (1<<UDRE1)) > 0  ) //Warten bis der Uebertragungspuffer leer ist
    //{
    //    UDR1 = 'D';  
    //}
    delay(200);
    
}
